%% testing abs(x) convergence

format long g

N=linspace(500,50000,10);
merr =[];
    
    for n = N
        
    y = @(x) abs(x);
    [y1, v] =barylagtref(y,n);
  
    merr=[merr norm(v-y1,inf)];
    
    end
    
    figure(1)
    loglog(N,merr)
    title('Maximum error of interpolation of |x|','FontWeight','bold','FontSize',14)
    xlabel('N','FontWeight','bold')
    ylabel('Maximum Error','FontWeight','bold')
    set(gca,'FontSize',12,'FontWeight','bold')